IOSS 2.0

Public Member Functions | Public Attributes | Private Member Functions | List of all members
Iogn::DashSurfaceData Struct Reference

`#include <Iogn_DashSurfaceMesh.h>`

## Public Member Functions
| DashSurfaceData (const std::vector< double > &coords, const std::vector< int > &connectivity1, const std::vector< int > &connectivity2)

## Public Attributes
const std::vector< double > | coordinates
const std::vector< int > | surfaceAConnectivity
const std::vector< int > | surfaceBConnectivity
int | globalNumberOfNodes {}
int | globalNumberOfElements {}
int | globalNumberOfElementsSurface1 {}
int | globalNumberOfElementsSurface2 {}
std::vector< int > | globalIdsOfLocalElements
std::vector< int > | globalIdsOfLocalNodes
std::vector< SharedNode > | sharedNodes

## Private Member Functions
void | setSerialDefaults ()

## Constructor & Destructor Documentation

## ◆ DashSurfaceData()

Iogn::DashSurfaceData::DashSurfaceData | ( | const std::vector< double > & | coords,
|  | const std::vector< int > & | connectivity1,
|  | const std::vector< int > & | connectivity2
| ) |  |
| inline

## Member Function Documentation

## ◆ setSerialDefaults()

void Iogn::DashSurfaceData::setSerialDefaults | ( |  | ) |
| inlineprivate

## Member Data Documentation

## ◆ coordinates

const std::vector<double> Iogn::DashSurfaceData::coordinates

## ◆ globalIdsOfLocalElements

std::vector<int> Iogn::DashSurfaceData::globalIdsOfLocalElements

## ◆ globalIdsOfLocalNodes

std::vector<int> Iogn::DashSurfaceData::globalIdsOfLocalNodes

## ◆ globalNumberOfElements

int Iogn::DashSurfaceData::globalNumberOfElements {}

## ◆ globalNumberOfElementsSurface1

int Iogn::DashSurfaceData::globalNumberOfElementsSurface1 {}

## ◆ globalNumberOfElementsSurface2

int Iogn::DashSurfaceData::globalNumberOfElementsSurface2 {}

## ◆ globalNumberOfNodes

int Iogn::DashSurfaceData::globalNumberOfNodes {}

## ◆ sharedNodes

std::vector<SharedNode> Iogn::DashSurfaceData::sharedNodes

## ◆ surfaceAConnectivity

const std::vector<int> Iogn::DashSurfaceData::surfaceAConnectivity

## ◆ surfaceBConnectivity

const std::vector<int> Iogn::DashSurfaceData::surfaceBConnectivity

The documentation for this struct was generated from the following file:

- src/generated/Iogn_DashSurfaceMesh.h